Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/URLAliasService.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository;
8
9 use eZ\Publish\API\Repository\Values\Content\Location;
10
16 interface URLAliasService
17 {
36 public function createUrlAlias(Location $location, $path, $languageCode, $forwarding = false, $alwaysAvailable = false);
37
61 public function createGlobalUrlAlias($resource, $path, $languageCode, $forwarding = false, $alwaysAvailable = false);
62
72 public function listLocationAliases(Location $location, $custom = true, $languageCode = null);
73
83 public function listGlobalAliases($languageCode = null, $offset = 0, $limit = -1);
84
96 public function removeAliases(array $aliasList);
97
109 public function lookup($url, $languageCode = null);
110
123 public function reverseLookup(Location $location, $languageCode = null);
124
134 public function load($id);
135
141 public function refreshSystemUrlAliasesForLocation(Location $location): void;
142
148 public function deleteCorruptedUrlAliases(): int;
149 }
eZ\Publish\API\Repository\Values\Content\Location
Definition: API/Repository/Values/Content/Location.php:32
eZ\Publish\API\Repository\URLAliasService
Definition: API/Repository/URLAliasService.php:17
eZ\Publish\API\Repository\URLAliasService\removeAliases
removeAliases(array $aliasList)
Removes urls aliases.
eZ\Publish\API\Repository\URLAliasService\lookup
lookup($url, $languageCode=null)
looks up the URLAlias for the given url.
eZ\Publish\API\Repository\URLAliasService\listGlobalAliases
listGlobalAliases($languageCode=null, $offset=0, $limit=-1)
List global aliases.
eZ\Publish\API\Repository\URLAliasService\reverseLookup
reverseLookup(Location $location, $languageCode=null)
Returns the URL alias for the given location in the given language.
eZ\Publish\API\Repository\URLAliasService\deleteCorruptedUrlAliases
deleteCorruptedUrlAliases()
Delete global, system or custom URL alias pointing to non-existent Locations.
eZ\Publish\API\Repository\URLAliasService\createGlobalUrlAlias
createGlobalUrlAlias($resource, $path, $languageCode, $forwarding=false, $alwaysAvailable=false)
Create a user chosen $alias pointing to a resource in $languageCode.
eZ\Publish\API\Repository\URLAliasService\listLocationAliases
listLocationAliases(Location $location, $custom=true, $languageCode=null)
List of url aliases pointing to $location, sorted by language priority.
eZ\Publish\API\Repository\URLAliasService\createUrlAlias
createUrlAlias(Location $location, $path, $languageCode, $forwarding=false, $alwaysAvailable=false)
Create a user chosen $alias pointing to $location in $languageCode.
eZ\Publish\API\Repository\URLAliasService\load
load($id)
Loads URL alias by given $id.
eZ\Publish\API\Repository\URLAliasService\refreshSystemUrlAliasesForLocation
refreshSystemUrlAliasesForLocation(Location $location)
Refresh all system URL aliases for the given Location (and historize outdated if needed).
eZ\Publish\API\Repository
Definition: API/Repository/BookmarkService.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.